#  Benchmarking Suite
#  Copyright 2014-2022 Engineering Ingegneria Informatica S.p.A.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

include:
  - project: 'resengit/gitlab/pipeline-helpers'
    ref: main
    file: '/pipelines/python.yml'

variables:
  CCI_SKIP_DOCKER_BUILD: "true"
  # do not build wheel because there are the workloads and providers library files that needs to be installed in the
  # user's home
  CCI_PYTHON_BUILD_DISTRIBUTIONS: "sdist"

rebuild-multiexec:
  stage: triggers
  inherit:
    variables: false
  trigger:
    project: benchsuite/benchsuite-multiexec
    branch: master
  only:
    - master

rebuild-rest:
  stage: triggers
  inherit:
    variables: false
  trigger:
    project: benchsuite/benchsuite-rest
    branch: master
  only:
    - master

rebuild-pledger:
  stage: triggers
  inherit:
    variables: false
  trigger:
    project: benchsuite/benchsuite-pledger
    branch: master
  only:
    - master
